Bug 189880 - SIGSEGV in mcelog when using --dmi
SIGSEGV in mcelog when using --dmi
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: mcelog (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-25 10:20 EDT by Marcin Garski
Modified: 2015-01-04 17:26 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-17 16:26:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcin Garski 2006-04-25 10:20:42 EDT
Description of problem:
1. #gdb ./mcelog
2. (gdb) r --dmi
Program received signal SIGSEGV, Segmentation fault.
0x0000000000402f59 in opendmi () at dmi.c:184
184                     if (!memcmp(a->str, "_DMI_", 5) &&

3. (gdb) bt
#0  0x0000000000402f59 in opendmi () at dmi.c:184
#1  0x0000000000401c88 in main (ac=2, av=0x7fffff8fad90) at mcelog.c:345

Version-Release number of selected component (if applicable):
mcelog-0.6-1.16

How reproducible:
Always

Steps to Reproduce:
1. See above

I have reported this bug upstream, without any reply, so I here file a bug.
If you need some more info or debug just write me :)
Comment 1 Marcin Garski 2006-05-17 16:26:25 EDT
Upstream bug was without reply, but with new 0.7 release bug has been fixed. As
we can read in CHANGES:
"Fix SMBIOS anchor scan to work on more machines and don't crash when no anchor
found."

Indeed mcelog don't SIGSEGV any more. I'll close this bug as UPSTREAM, but
please update mcelog, at least in devel tree.
Comment 2 Dave Jones 2006-05-17 16:51:30 EDT
heh, I just finished rebasing the package to 0.7
will be out in a day or two, for FC4 & FC5. Will be in devel tomorrow.

Note You need to log in before you can comment on or make changes to this bug.